## org.apache.taglibs.standard.lang.jstl.test
Class Bean1

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.test.Bean1

    public class Bean1

extends Object

This is a test bean with a set of properties

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`Bean1()` Constructor

Method Summary
`Bean1` `getBean1()`
`Bean1` `getBean2()`
`boolean` `getBoolean1()`
`Boolean` `getBoolean2()`
`byte` `getByte1()`
`Byte` `getByte2()`
`char` `getChar1()`
`Character` `getChar2()`
`double` `getDouble1()`
`Double` `getDouble2()`
`String` `getErrorInGetter()`
`float` `getFloat1()`
`Float` `getFloat2()`
`String` `getIndexed1(int pIndex)`
`int` `getInt1()`
`Integer` `getInt2()`
`List` `getList1()`
`long` `getLong1()`
`Long` `getLong2()`
`Map` `getMap1()`
`short` `getShort1()`
`Short` `getShort2()`
`String` `getString1()`
`String` `getString2()`
`String[]` `getStringArray1()`
`void` `setBean1(Bean1 pBean1)`
`void` `setBean2(Bean1 pBean2)`
`void` `setBoolean1(boolean pBoolean1)`
`void` `setBoolean2(Boolean pBoolean2)`
`void` `setByte1(byte pByte1)`
`void` `setByte2(Byte pByte2)`
`void` `setChar1(char pChar1)`
`void` `setChar2(Character pChar2)`
`void` `setDouble1(double pDouble1)`
`void` `setDouble2(Double pDouble2)`
`void` `setFloat1(float pFloat1)`
`void` `setFloat2(Float pFloat2)`
`void` `setInt1(int pInt1)`
`void` `setInt2(Integer pInt2)`
`void` `setList1(List pList1)`
`void` `setLong1(long pLong1)`
`void` `setLong2(Long pLong2)`
`void` `setMap1(Map pMap1)`
`void` `setNoGetter(String pNoGetter)`
`void` `setShort1(short pShort1)`
`void` `setShort2(Short pShort2)`
`void` `setString1(String pString1)`
`void` `setString2(String pString2)`
`void` `setStringArray1(String[] pStringArray1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bean1

    public Bean1()

  Constructor

Method Detail

### getBoolean1

    public boolean getBoolean1()

### setBoolean1

    public void setBoolean1(boolean pBoolean1)

### getByte1

    public byte getByte1()

### setByte1

    public void setByte1(byte pByte1)

### getChar1

    public char getChar1()

### setChar1

    public void setChar1(char pChar1)

### getShort1

    public short getShort1()

### setShort1

    public void setShort1(short pShort1)

### getInt1

    public int getInt1()

### setInt1

    public void setInt1(int pInt1)

### getLong1

    public long getLong1()

### setLong1

    public void setLong1(long pLong1)

### getFloat1

    public float getFloat1()

### setFloat1

    public void setFloat1(float pFloat1)

### getDouble1

    public double getDouble1()

### setDouble1

    public void setDouble1(double pDouble1)

### getBoolean2

    public Boolean getBoolean2()

### setBoolean2

    public void setBoolean2(Boolean pBoolean2)

### getByte2

    public Byte getByte2()

### setByte2

    public void setByte2(Byte pByte2)

### getChar2

    public Character getChar2()

### setChar2

    public void setChar2(Character pChar2)

### getShort2

    public Short getShort2()

### setShort2

    public void setShort2(Short pShort2)

### getInt2

    public Integer getInt2()

### setInt2

    public void setInt2(Integer pInt2)

### getLong2

    public Long getLong2()

### setLong2

    public void setLong2(Long pLong2)

### getFloat2

    public Float getFloat2()

### setFloat2

    public void setFloat2(Float pFloat2)

### getDouble2

    public Double getDouble2()

### setDouble2

    public void setDouble2(Double pDouble2)

### getString1

    public String getString1()

### setString1

    public void setString1(String pString1)

### getString2

    public String getString2()

### setString2

    public void setString2(String pString2)

### getBean1

    public Bean1 getBean1()

### setBean1

    public void setBean1(Bean1 pBean1)

### getBean2

    public Bean1 getBean2()

### setBean2

    public void setBean2(Bean1 pBean2)

### setNoGetter

    public void setNoGetter(String pNoGetter)

### getErrorInGetter

    public String getErrorInGetter()

### getStringArray1

    public String[] getStringArray1()

### setStringArray1

    public void setStringArray1(String[] pStringArray1)

### getList1

    public List getList1()

### setList1

    public void setList1(List pList1)

### getMap1

    public Map getMap1()

### setMap1

    public void setMap1(Map pMap1)

### getIndexed1

    public String getIndexed1(int pIndex)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.